VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Cli::Command::GenericType Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Cli::Command::GenericType:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Cli::Command::GenericType` enumerated type defines generic types supported by `Com::Vmware::Vapi::Metadata::Cli::Command` interface* . See :attr:`Com::Vmware::Vapi::Metadata::Cli::Command::OptionInfo.generic` . Constant Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::NONE # Default case. Constant Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::OPTIONAL # Input parameter is an optional. Constant Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::LIST # Input parameter is a list. Constant Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::OPTIONAL_LIST # Input parameter is an optional of type list.

New in vSphere 6.5.

Constant Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::LIST_OPTIONAL # Input parameter is a list of optionals.

New in vSphere 6.5.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Cli::Command::GenericType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Cli::Command::GenericType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vapi.metadata.cli.command.generic_type',
'binding_class' => 'Com::Vmware::Vapi::Metadata::Cli::Command::GenericType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Cli/Command.pm